package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseBasicInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 企业基础信息Controller
 * 
 * @author farben
 * @date 2023-08-25
 */
@RestController
@RequestMapping("/system/enterpriseBasicInfo")
public class BmsEnterpriseBasicInfoController extends BaseController {

    @Autowired
    private IBmsEnterpriseBasicInfoService bmsEnterpriseBasicInfoService;

    /**
     * 查询企业基础信息列表
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:list")
    @GetMapping("/list")
    public TableDataInfo list(BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        startPage();
        List<BmsEnterpriseBasicInfo> list = bmsEnterpriseBasicInfoService.selectBmsEnterpriseBasicInfoList(bmsEnterpriseBasicInfo);
        return getDataTable(list);
    }

    /**
     * 导出企业基础信息列表
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:export")
    @Log(title = "企业基础信息", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        List<BmsEnterpriseBasicInfo> list = bmsEnterpriseBasicInfoService.selectBmsEnterpriseBasicInfoList(bmsEnterpriseBasicInfo);
        ExcelUtil<BmsEnterpriseBasicInfo> util = new ExcelUtil<BmsEnterpriseBasicInfo>(BmsEnterpriseBasicInfo.class);
        util.exportExcel(response, list, "企业基础信息数据");
    }

    /**
     * 获取企业基础信息详细信息
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:query")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id) {
        return success(bmsEnterpriseBasicInfoService.selectBmsEnterpriseBasicInfoById(id));
    }

    /**
     * 新增企业基础信息
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:add")
    @Log(title = "企业基础信息", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        return toAjax(bmsEnterpriseBasicInfoService.insertBmsEnterpriseBasicInfo(bmsEnterpriseBasicInfo));
    }

    /**
     * 修改企业基础信息
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:edit")
    @Log(title = "企业基础信息", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody BmsEnterpriseBasicInfo bmsEnterpriseBasicInfo) {
        return toAjax(bmsEnterpriseBasicInfoService.updateBmsEnterpriseBasicInfo(bmsEnterpriseBasicInfo));
    }

    /**
     * 删除企业基础信息
     */
//    @RequiresPermissions("system:enterpriseBasicInfo:remove")
    @Log(title = "企业基础信息", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids) {
        return toAjax(bmsEnterpriseBasicInfoService.deleteBmsEnterpriseBasicInfoByIds(ids));
    }
}
