package com.ruoyi.jjh.declaration.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 申报模板信息对象 bms_template_info
 *
 * @author farben
 * @date 2023-08-25
 */
public class BmsTemplateInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 模板名称
     */
    @ApiModelProperty(value = "模板名称")
    @Excel(name = "模板名称")
    private String templateName;


    /**
     * 级别 0:本级,1:省级
     */
    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别 ", readConverterExp = "0=本级,1=省级")
    private Long level;

    /**
     * 产品领域 生产性服务业  现代服务业  新兴服务业
     */
    @ApiModelProperty(value = "产品领域 0:生产性服务业  1:现代服务业  2:新兴服务业")
    @Excel(name = "产品领域", readConverterExp = "0=生产性服务业,1=现代服务业,2=新兴服务业")
    private Long productArea;

    /**
     * 申报类型 0:/, 1:试点区域,2:龙头型,3:创新型
     */
    @ApiModelProperty(value = "申报类型 0:/, 1:试点区域,2:龙头型,3:创新型")
    @Excel(name = "申报类型", readConverterExp = "0=/, 1=试点区域,2=龙头型,3=创新型")
    private Long type;

    /**
     * 表单说明
     */
    @ApiModelProperty(value = "表单说明")
    @Excel(name = "表单说明")
    private String notes;

    /**
     * 责任单位 0：经发委:1：规建委:2：行审局:3：市监局
     */
    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty(value = "是否删除：0，未删除；1，已删除")
    @Excel(name = "是否删除", readConverterExp = "0=未删除,1=已删除")
    private Long isDeleted;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public Long getLevel() {
        return level;
    }

    public void setLevel(Long level) {
        this.level = level;
    }

    public Long getProductArea() {
        return productArea;
    }

    public void setProductArea(Long productArea) {
        this.productArea = productArea;
    }

    public Long getType() {
        return type;
    }

    public void setType(Long type) {
        this.type = type;
    }

    public String getNotes() {
        return notes;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public Long getResponsibilityUnit() {
        return responsibilityUnit;
    }

    public void setResponsibilityUnit(Long responsibilityUnit) {
        this.responsibilityUnit = responsibilityUnit;
    }

    public Long getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Long isDeleted) {
        this.isDeleted = isDeleted;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE).append("id", getId()).append("templateName", getTemplateName()).append("level", getLevel()).append("productArea", getProductArea()).append("type", getType()).append("notes", getNotes()).append("responsibilityUnit", getResponsibilityUnit()).append("isDeleted", getIsDeleted()).append("createBy", getCreateBy()).append("createTime", getCreateTime()).append("updateBy", getUpdateBy()).append("updateTime", getUpdateTime()).append("remark", getRemark()).toString();
    }
}
