package com.ruoyi.jjh.declaration.entity.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 申报模板信息对象 bms_template_info
 *
 * @author farben
 * @date 2023-08-25
 */
@Data
public class BmsTemplateRecordQueryVo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "企业项目名录id")
    private Long templateRecordId;

    @ApiModelProperty(value = "企业名录")
    private String enterpriseDirectory;

    @ApiModelProperty(value = "模板类型")
    private String templateName;

    @ApiModelProperty(value = "模板id")
    private Long templateId;

    @ApiModelProperty(value = "级别 0:本级,1:省级")
    @Excel(name = "级别 ", readConverterExp = "0=本级,1=省级")
    private int level;

    @ApiModelProperty(value = "申报途径,0:系统申报,1:补录")
    @Excel(name = "申报途径", readConverterExp = "0=系统申报,1=补录")
    private Long road;

    @ApiModelProperty(value = "上传文件名称")
    private String fileName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开放开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 开放结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开放结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endTime;

    @Excel(name = "说明")
    private String notes;

    @ApiModelProperty(value = "责任单位 0：经发委:1：规建委:2：行审局:3：市监局")
    @Excel(name = "责任单位", readConverterExp = "0=经发委,1=规建委,2=行审局,3=市监局")
    private Long responsibilityUnit;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    private String createByName;

}
